#ifndef WIN32
#include <stdio.h>
#else
#include "stdafx.h"
#include "stdio.h"
#include <windows.h>
#endif
#include "yl_encrypt.h"

static const char *g_public_key  = {"public.key"};
static const char *g_AESEnc_key  = {"0123456789abcdef"};
static const char *g_file_input  = {"yl_test.cfg"};
#ifndef WIN32
static const char *g_path_output = {"Encrypt/"};
#else
static const char *g_path_output = {"Encrypt\\"};
#endif

int main()
{
    int ret = 0;
    /* 生成全新的RSA加密文件 */
    ret = Yealink_Build_RSA_Config(g_public_key, g_AESEnc_key, g_file_input, g_path_output);
    if (ret != 0)
    {
        printf("Build RSA config faild.\n");
    }
    else
    {
        printf("Build RSA config success.\n");
    }


    /* 生成兼容模式下的加密文件 */
    ret = Yealink_Build_CMPT_Config(g_public_key, g_AESEnc_key, g_file_input, g_path_output);
    if (ret != 0)
    {
        printf("Build CMPT config faild.\n");
    }
    else
    {
        printf("Build CMPT config success.\n");
    }

    return 0;
}





